## freealut 1.0.1

=== CMakeLists.txt ===
# cmake project file by Prakash Punnoor
CMAKE_MINIMUM_REQUIRED(VERSION 2.0)

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/admin/CMakeModules")
PROJECT(Alut C)
SET(PACKAGE "freealut")
SET(PACKAGE_TARNAME "freealut")
SET(PACKAGE_NAME "freealut library")
SET(PACKAGE_MAJOR_VERSION "1")
SET(PACKAGE_MINOR_VERSION "0")
SET(PACKAGE_BUILD_VERSION "1")
SET(PACKAGE_VERSION "${PACKAGE_MAJOR_VERSION}.${PACKAGE_MINOR_VERSION}.${PACKAGE_BUILD_VERSION}")
SET(MAJOR_VERSION "0")
SET(MINOR_VERSION "0")
SET(BUILD_VERSION "0")
SET(VERSION "${MAJOR_VERSION}.${MINOR_VERSION}.${BUILD_VERSION}")
SET(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
SET(PACKAGE_BUGREPORT "openal-devel@opensource.creative.com")
SET(OPERATING_SYSTEM "${CMAKE_SYSTEM_NAME}")

INCLUDE(${CMAKE_ROOT}/Modules/CheckIncludeFile.cmake)
INCLUDE(${CMAKE_ROOT}/Modules/CheckIncludeFiles.cmake)
INCLUDE(${CMAKE_ROOT}/Modules/CheckCSourceCompiles.cmake)

FIND_PACKAGE(ConfigHelper)

MACRO(CHECK_INCLUDE_FILE_DEFINE HEADER VAR)
  CHECK_INCLUDE_FILE(${HEADER} HAVE_INCLUDE_FILE)
  IF(HAVE_INCLUDE_FILE)
    ADD_DEFINE("${VAR} 1")
    SET(${VAR} ON CACHE INTERNAL "")
  ENDIF(HAVE_INCLUDE_FILE)
ENDMACRO(CHECK_INCLUDE_FILE_DEFINE ARG)

MACRO(CHECK_FUNCTION_DEFINE HEADERS FUNC PARAM VAR)
CHECK_C_SOURCE_COMPILES(
"
${HEADERS}
int main(){
${FUNC} ${PARAM};
}
" ${VAR})
IF(${VAR})
  ADD_DEFINE("${VAR} 1")
ENDIF(${VAR})
ENDMACRO(CHECK_FUNCTION_DEFINE HEADERS FUNC PARAM VAR)

MACRO(CHECK_COMPILER_VISIBILITY VAR)
SET(CMAKE_REQUIRED_FLAGS_BACK "${CMAKE_REQUIRED_FLAGS}")
SET(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} -fvisibility=hidden")
CHECK_C_SOURCE_COMPILES(
"void __attribute__((visibility(\"default\"))) test() {}
int main(){}
" ${VAR})
SET(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS_BACK}")
IF(${VAR})
  ADD_DEFINITIONS(-fvisibility=hidden)
  ADD_DEFINITIONS(-DHAVE_GCC_VISIBILITY)
ENDIF(${VAR})
ENDMACRO(CHECK_COMPILER_VISIBILITY VAR)


SET(ALUT_SOURCES src/alutBufferData.c
                 src/alutCodec.c
                 src/alutError.c
                 src/alutInit.c
                 src/alutInputStream.c
                 src/alutInternal.h
                 src/alutLoader.c
                 src/alutUtil.c
                 src/alutVersion.c
                 src/alutWaveform.c)

INCLUDE_DIRECTORIES(${Alut_SOURCE_DIR}/include)

SET(ADD_WFLAGS "")
SET(ADD_CFLAGS "")
SET(ADD_LDFLAGS "")
SET(ADD_LIBS "")

OPTION(BUILD_STATIC    "build static library too"   ON)
OPTION(PROFILE         "enable profile"            OFF)
OPTION(OPTIMIZATION    "enable optimization"        ON)
OPTION(WARNINGS        "enable warnings"            ON)
IF(WARNINGS)
  OPTION(MORE_WARNINGS "enable more warnings"       OFF)
  OPTION(USE_WERROR    "enable fail on all warning" OFF)
ENDIF(WARNINGS)

#want test-suit?
OPTION(BUILD_TESTS "build the test-suite" OFF)


ADD_DEFINE(ALUT_BUILD_LIBRARY)
ADD_DEFINITIONS(-D_XOPEN_SOURCE=500)
ADD_DEFINITIONS(-D__NO_CTYPE)
ADD_DEFINITIONS(-DHAVE_CONFIG_H)
ADD_DEFINITIONS(-DNDEBUG)

FIND_LIBRARY(OPENAL_LIB NAMES openal openal32 PATHS /usr/lib /usr/local/lib)
IF(OPENAL_LIB MATCHES "NOTFOUND")
  MESSAGE(FATAL_ERROR "OpenAL not installed, cannot build alut - aborting.")
ENDIF(OPENAL_LIB MATCHES "NOTFOUND")

IF(UNIX)
 SET(ADD_LIBS ${ADD_LIBS} m)
ENDIF(UNIX)

CHECK_INCLUDE_FILES("AL/alc.h;AL/al.h" AL_HEADERS)
IF(NOT AL_HEADERS)
  MESSAGE(FATAL_ERROR "OpenAL header files not found - aborting.")
ENDIF(NOT AL_HEADERS)

CHECK_INCLUDE_FILE_DEFINE(unistd.h HAVE_UNISTD_H)
CHECK_INCLUDE_FILE_DEFINE(stdint.h HAVE_STDINT_H)
CHECK_INCLUDE_FILE_DEFINE(time.h HAVE_TIME_H)
IF(WIN32)
  CHECK_INCLUDE_FILE_DEFINE(basetsd.h HAVE_BASETSD_H)
  CHECK_INCLUDE_FILE_DEFINE(windows.h HAVE_WINDOWS_H)
ENDIF(WIN32)


IF(HAVE_TIME_H)
  CHECK_FUNCTION_DEFINE("#include <time.h>" nanosleep "((struct timespec*)0, (struct timespec*)0)" HAVE_NANOSLEEP)
ENDIF(HAVE_TIME_H)

IF(HAVE_UNISTD_H)
  CHECK_FUNCTION_DEFINE("#include <unistd.h>" usleep "(0)" HAVE_USLEEP)
  CHECK_FUNCTION_DEFINE("
  #include <sys/types.h>
  #include <sys/stat.h>
  #include <unistd.h>
  " stat "(\"\", (struct stat*)0)" HAVE_STAT)
ENDIF(HAVE_UNISTD_H)

IF(NOT HAVE_STAT)
  CHECK_FUNCTION_DEFINE("
  #include <sys/types.h>
  #include <sys/stat.h>
  " _stat "(\"\", (struct _stat*)0)" HAVE__STAT)
ENDIF(NOT HAVE_STAT)

IF(HAVE_WINDOWS_H)
  CHECK_FUNCTION_DEFINE("#include <windows.h>" Seep "(0)" HAVE_SLEEP)
ENDIF(HAVE_WINDOWS_H)


# compiler specific settings
FIND_PACKAGE(CompilerAttribute)
FIND_PACKAGE(CompilerVisibility)
FIND_PACKAGE(CompilerFlagsSet)

GENERATE_CONFIG_H()

SET(CMAKE_C_FLAGS "${ADD_WFLAGS} ${ADD_CFLAGS} ${CMAKE_C_FLAGS}")
SET(CMAKE_CXX_FLAGS "${ADD_CFLAGS} ${CMAKE_CXX_FLAGS}")
SET(CMAKE_SHARED_LINKER_FLAGS "${ADD_LDFLAGS} ${CMAKE_SHARED_LINKER_FLAGS}")
SET(CMAKE_MODULE_LINKER_FLAGS "${ADD_LDFLAGS} ${CMAKE_MODULE_LINKER_FLAGS}")

IF(BUILD_STATIC)
  #we can't create a static library with the same name
  #as the shared one, so we copy it over after creation
  ADD_LIBRARY(alut-static STATIC ${ALUT_SOURCES})
  TARGET_LINK_LIBRARIES(alut-static ${OPENAL_LIB} ${ADD_LIBS})
  ADD_CUSTOM_COMMAND(
    TARGET alut-static
    POST_BUILD
    COMMAND ${CMAKE_COMMAND}
    ARGS -E copy
      ${CMAKE_BINARY_DIR}/${CMAKE_STATIC_LIBRARY_PREFIX}alut-static${CMAKE_STATIC_LIBRARY_SUFFIX}
      ${CMAKE_BINARY_DIR}/${CMAKE_STATIC_LIBRARY_PREFIX}alut${CMAKE_STATIC_LIBRARY_SUFFIX})
  INSTALL_FILES(/lib FILES ${CMAKE_STATIC_LIBRARY_PREFIX}alut${CMAKE_STATIC_LIBRARY_SUFFIX})
ENDIF(BUILD_STATIC)


ADD_LIBRARY(alut SHARED ${ALUT_SOURCES})
SET_TARGET_PROPERTIES(alut PROPERTIES VERSION ${VERSION} SOVERSION ${MAJOR_VERSION})
TARGET_LINK_LIBRARIES(alut ${OPENAL_LIB} ${ADD_LIBS})

INSTALL_TARGETS(/lib alut)
INSTALL_FILES(/include/AL FILES include/AL/alut.h)

# needed for openal.pc.in and openal-config.in
SET(prefix ${CMAKE_INSTALL_PREFIX})
SET(exec_prefix "\${prefix}")
SET(libdir "\${exec_prefix}/lib")
SET(bindir "\${exec_prefix}/bin")
SET(includedir "\${prefix}/include")
SET(requirements "")
# static linking dependecies are broken, so pthread isn't needed currently
SET(PTHREAD_LIBS ${CMAKE_THREAD_LIBS_INIT})

CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/admin/pkgconfig/freealut.pc.in
               ${CMAKE_BINARY_DIR}/admin/pkgconfig/freealut.pc @ONLY)
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/admin/pkgconfig/freealut-config.in
               ${CMAKE_BINARY_DIR}/admin/pkgconfig/freealut-config @ONLY)
INSTALL_PROGRAMS(/bin FILES admin/pkgconfig/freealut-config)
INSTALL_FILES(/lib/pkgconfig FILES admin/pkgconfig/freealut.pc)


# test-suite
IF(BUILD_TESTS)
    # examples
    ADD_EXECUTABLE(hello_world examples/hello_world.c)
    TARGET_LINK_LIBRARIES(hello_world ${OPENAL_LIB} ${ADD_LIBS} alut)

    ADD_EXECUTABLE(playfile examples/playfile.c)
    TARGET_LINK_LIBRARIES(playfile ${OPENAL_LIB} ${ADD_LIBS} alut)


    SET(TESTS errorstuff
              fileloader
              memoryloader
              version
              waveforms)

    FOREACH(TEST ${TESTS})
      SET(TEST_SRC test_suite/test_${TEST}.c)
      SET_SOURCE_FILES_PROPERTIES(${TEST_SRC} PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
      ADD_EXECUTABLE(test_${TEST} ${TEST_SRC})
      TARGET_LINK_LIBRARIES(test_${TEST} ${OPENAL_LIB} ${ADD_LIBS} alut)
    ENDFOREACH(TEST)

    #copy over testdata, so test-suite can be used in binary dir
    SET(TESTDATA file1.wav
                 file2.au
                 file3.raw)

    FOREACH(TESTDATUM ${TESTDATA})
      CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/test_suite/${TESTDATUM} ${CMAKE_BINARY_DIR}/${TESTDATUM} COPYONLY)
    ENDFOREACH(TESTDATUM)
ENDIF(BUILD_TESTS)

## freealut 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,42 +24,6 @@
 
 FIND_PACKAGE(ConfigHelper)
 
-MACRO(CHECK_INCLUDE_FILE_DEFINE HEADER VAR)
-  CHECK_INCLUDE_FILE(${HEADER} HAVE_INCLUDE_FILE)
-  IF(HAVE_INCLUDE_FILE)
-    ADD_DEFINE("${VAR} 1")
-    SET(${VAR} ON CACHE INTERNAL "")
-  ENDIF(HAVE_INCLUDE_FILE)
-ENDMACRO(CHECK_INCLUDE_FILE_DEFINE ARG)
-
-MACRO(CHECK_FUNCTION_DEFINE HEADERS FUNC PARAM VAR)
-CHECK_C_SOURCE_COMPILES(
-"
-${HEADERS}
-int main(){
-${FUNC} ${PARAM};
-}
-" ${VAR})
-IF(${VAR})
-  ADD_DEFINE("${VAR} 1")
-ENDIF(${VAR})
-ENDMACRO(CHECK_FUNCTION_DEFINE HEADERS FUNC PARAM VAR)
-
-MACRO(CHECK_COMPILER_VISIBILITY VAR)
-SET(CMAKE_REQUIRED_FLAGS_BACK "${CMAKE_REQUIRED_FLAGS}")
-SET(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} -fvisibility=hidden")
-CHECK_C_SOURCE_COMPILES(
-"void __attribute__((visibility(\"default\"))) test() {}
-int main(){}
-" ${VAR})
-SET(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS_BACK}")
-IF(${VAR})
-  ADD_DEFINITIONS(-fvisibility=hidden)
-  ADD_DEFINITIONS(-DHAVE_GCC_VISIBILITY)
-ENDIF(${VAR})
-ENDMACRO(CHECK_COMPILER_VISIBILITY VAR)
-
-
 SET(ALUT_SOURCES src/alutBufferData.c
                  src/alutCodec.c
                  src/alutError.c
@@ -67,6 +31,7 @@
                  src/alutInputStream.c
                  src/alutInternal.h
                  src/alutLoader.c
+                 src/alutOutputStream.c
                  src/alutUtil.c
                  src/alutVersion.c
                  src/alutWaveform.c)
@@ -92,12 +57,22 @@
 
 
 ADD_DEFINE(ALUT_BUILD_LIBRARY)
-ADD_DEFINITIONS(-D_XOPEN_SOURCE=500)
-ADD_DEFINITIONS(-D__NO_CTYPE)
+# We could possibly need struct timespec and random(), which are not ANSI.
+# Define to 500 if Single Unix conformance is wanted, 600 for sixth revision.
+ADD_DEFINE("_XOPEN_SOURCE 500")
+# We might need nanosleep, which is a POSIX IEEE Std 1003.1b-1993 feature.
+# Define to the POSIX version that should be used.
+ADD_DEFINE("_POSIX_C_SOURCE 199309")
+# Without __NO_CTYPE tolower and friends are macros which introduce a GLIBC 2.3
+# dependency. By defining this identifier we are currently backwards compatible
+# to GLIBC 2.1.3, which is a good thing. In addition, the macros lead to code
+# which triggers warnings with -Wunreachable-code.
+ADD_DEFINE("__NO_CTYPE 1")
+
 ADD_DEFINITIONS(-DHAVE_CONFIG_H)
 ADD_DEFINITIONS(-DNDEBUG)
 
-FIND_LIBRARY(OPENAL_LIB NAMES openal openal32 PATHS /usr/lib /usr/local/lib)
+FIND_LIBRARY(OPENAL_LIB NAMES openal openal32 PATHS /usr/lib /usr/local/lib ${OPENAL_LIB_DIR})
 IF(OPENAL_LIB MATCHES "NOTFOUND")
   MESSAGE(FATAL_ERROR "OpenAL not installed, cannot build alut - aborting.")
 ENDIF(OPENAL_LIB MATCHES "NOTFOUND")
@@ -106,26 +81,30 @@
  SET(ADD_LIBS ${ADD_LIBS} m)
 ENDIF(UNIX)
 
+SET(CMAKE_REQUIRED_INCLUDES ${OPENAL_INCLUDE_DIR})
 CHECK_INCLUDE_FILES("AL/alc.h;AL/al.h" AL_HEADERS)
 IF(NOT AL_HEADERS)
   MESSAGE(FATAL_ERROR "OpenAL header files not found - aborting.")
 ENDIF(NOT AL_HEADERS)
 
-CHECK_INCLUDE_FILE_DEFINE(unistd.h HAVE_UNISTD_H)
+IF(DEFINED OPENAL_INCLUDE_DIR)
+  INCLUDE_DIRECTORIES(${OPENAL_INCLUDE_DIR})
+ENDIF(DEFINED OPENAL_INCLUDE_DIR)
+
+FIND_PACKAGE(SleepFunction)
+
 CHECK_INCLUDE_FILE_DEFINE(stdint.h HAVE_STDINT_H)
-CHECK_INCLUDE_FILE_DEFINE(time.h HAVE_TIME_H)
+
 IF(WIN32)
   CHECK_INCLUDE_FILE_DEFINE(basetsd.h HAVE_BASETSD_H)
-  CHECK_INCLUDE_FILE_DEFINE(windows.h HAVE_WINDOWS_H)
 ENDIF(WIN32)
 
-
+# FindSleepFunction will check for unistd.h if time.h wasn't found
 IF(HAVE_TIME_H)
-  CHECK_FUNCTION_DEFINE("#include <time.h>" nanosleep "((struct timespec*)0, (struct timespec*)0)" HAVE_NANOSLEEP)
+  CHECK_INCLUDE_FILE_DEFINE(unistd.h HAVE_UNISTD_H)
 ENDIF(HAVE_TIME_H)
 
 IF(HAVE_UNISTD_H)
-  CHECK_FUNCTION_DEFINE("#include <unistd.h>" usleep "(0)" HAVE_USLEEP)
   CHECK_FUNCTION_DEFINE("
   #include <sys/types.h>
   #include <sys/stat.h>
@@ -140,11 +119,6 @@
   " _stat "(\"\", (struct _stat*)0)" HAVE__STAT)
 ENDIF(NOT HAVE_STAT)
 
-IF(HAVE_WINDOWS_H)
-  CHECK_FUNCTION_DEFINE("#include <windows.h>" Seep "(0)" HAVE_SLEEP)
-ENDIF(HAVE_WINDOWS_H)
-
-
 # compiler specific settings
 FIND_PACKAGE(CompilerAttribute)
 FIND_PACKAGE(CompilerVisibility)
@@ -158,18 +132,20 @@
 SET(CMAKE_MODULE_LINKER_FLAGS "${ADD_LDFLAGS} ${CMAKE_MODULE_LINKER_FLAGS}")
 
 IF(BUILD_STATIC)
-  #we can't create a static library with the same name
-  #as the shared one, so we copy it over after creation
-  ADD_LIBRARY(alut-static STATIC ${ALUT_SOURCES})
-  TARGET_LINK_LIBRARIES(alut-static ${OPENAL_LIB} ${ADD_LIBS})
-  ADD_CUSTOM_COMMAND(
-    TARGET alut-static
-    POST_BUILD
-    COMMAND ${CMAKE_COMMAND}
-    ARGS -E copy
-      ${CMAKE_BINARY_DIR}/${CMAKE_STATIC_LIBRARY_PREFIX}alut-static${CMAKE_STATIC_LIBRARY_SUFFIX}
-      ${CMAKE_BINARY_DIR}/${CMAKE_STATIC_LIBRARY_PREFIX}alut${CMAKE_STATIC_LIBRARY_SUFFIX})
-  INSTALL_FILES(/lib FILES ${CMAKE_STATIC_LIBRARY_PREFIX}alut${CMAKE_STATIC_LIBRARY_SUFFIX})
+  # we can't create a static library with the same name
+  # as the shared one, so we copy it over after creation
+  ADD_LIBRARY(alut_static STATIC ${ALUT_SOURCES})
+  TARGET_LINK_LIBRARIES(alut_static ${OPENAL_LIB} ${ADD_LIBS})
+  IF(NOT WIN32)
+    ADD_CUSTOM_COMMAND(
+      TARGET alut_static
+      POST_BUILD
+      COMMAND ${CMAKE_COMMAND}
+      ARGS -E copy
+        ${CMAKE_BINARY_DIR}/${CMAKE_STATIC_LIBRARY_PREFIX}alut_static${CMAKE_STATIC_LIBRARY_SUFFIX}
+        ${CMAKE_BINARY_DIR}/${CMAKE_STATIC_LIBRARY_PREFIX}alut${CMAKE_STATIC_LIBRARY_SUFFIX})
+    INSTALL_FILES(/lib FILES ${CMAKE_STATIC_LIBRARY_PREFIX}alut${CMAKE_STATIC_LIBRARY_SUFFIX})
+  ENDIF(NOT WIN32)
 ENDIF(BUILD_STATIC)

=== debian/changelog ===
freealut (1.1.0-7) unstable; urgency=medium

  * Team upload.

  [ Reiner Herrmann ]
  * Update watch file

  [ Bastian Germann ]
  * Remove Sam from Uploaders (Closes: #1011578)

  [ Alexandre Detiste ]
  * set Rules-Requires-Root: no
  * switch to DebHelper 13

 -- Alexandre Detiste <tchet@debian.org>  Mon, 02 Dec 2024 13:27:07 +0100

freealut (1.1.0-6) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Update homepage field and use to mirror on GitHub since
      the original website no longer provides information.
    + Update Vcs-* fields to use git packaging repo under Salsa
      games-team group.
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.1.
  * debian/rules: Enable full hardening.
  * debian/source/options: Removed, no longer needed.

 -- Boyuan Yang <byang@debian.org>  Thu, 03 Oct 2019 14:34:46 -0400

freealut (1.1.0-5) unstable; urgency=medium

  * Team upload.
  * Drop Multi-Arch: same from libalut-dev. (Closes: #760202)

 -- Vincent Cheng <vcheng@debian.org>  Mon, 01 Sep 2014 14:01:16 -0700

freealut (1.1.0-4) unstable; urgency=low

  * Team upload.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Logan Rosen ]
  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).
    (Closes: #733473)

  [ Vincent Cheng ]
  * Drop debian/patches/100_rebootstrap.diff.
  * Drop deprecated DMUA field in d/control.
  * Remove usage of deprecated findutils syntax. (Closes: #711706, #724771)
  * Multiarch-ify package. (Closes: #691943)
  * Update Standards version to 3.9.5.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 30 Aug 2014 15:40:57 -0700

freealut (1.1.0-3) unstable; urgency=low

  [ Peter Pentchev ]
  * Andres Mejia fixed the watch file back in 2009.  Closes: #551410
  * Remove Thierry Reding from Uploaders.  Closes: #572543
  * Convert to the 3.0 (quilt) source format.
  * Update the control file:
    - drop the redundant "libs" section on the libalut0 package
    - add misc:Depends to the binary packages
    - no need to depend on a x.x.x-1 revision
  * Add DEP 3 headers to all the patches.
  * Bump the debhelper compatibility version to 8 and minimize the rules
    file using override rules.
  * Remove some cruft from the rules file.
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain the default CFLAGS,
    CPPFLAGS and LDFLAGS.
  * Bump Standards-Version to 3.9.1 with no further changes.
  * Convert the copyright file to rev. 165 of the DEP 5 candidate format and
    add my copyright notice.
  * Add a symbols file for libalut0.
  * Add myself to Uploaders.
  * Use dh --with autotools_dev to update config.sub and config.guess.

  [ Ansgar Burchardt ]
  * debian/control: Add DM-Upload-Allowed: yes.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 31 Mar 2011 13:58:11 +0300

freealut (1.1.0-2) unstable; urgency=low

  [ Eddy Petrișor ]
  * removed myself from the Uploaders list

  [ Jon Dowland ]
  * add Homepage: control field to source stanza

  [ Eddy Petrișor ]
  * add missing Vcs-Svn headers

  [ Ansgar Burchardt ]
  * Remove Homepage semi-field from description

  [ Reinhard Tartler ]
  * No longer provide /usr/lib/libalut.la. It's not needed since dependent
    packages can use the provided freealut.pc file with pkg-config

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 06 Jul 2008 20:55:23 +0200

freealut (1.1.0-1) unstable; urgency=low

  [ Reinhard Tartler ]
  * New upstream release, featuring: (Closes: #378974)
    + Added some fragile logic to find the right path to the OpenAL
      headers.
    + Bumped the package version to 1.1.0 and the library version to
      1:0:1 (i.e. a backwards compatible version, only with new features).
    + Conforms to the ALUT specification 1.1.0 now (added two memory
      loaders).
  * Updated shlibs file
  * install freealut-config in libalut-dev
  * Bumped Standards Version to 3.7.2 (no changes needed)

  [ Stefan Potyra ]
  * Add dependency for libopenal-dev against libalut-dev.

  [ Eddy Petrișor ]
  * debian/patches/001_freebsd_pthread.diff:
    + small tweak to configure.ac to remove FTBFS on GNU/kFreeBSD, thanks to
      Petr Salinger <Petr.Salinger@seznam.cz> for the patch (Closes: #400717)
      Severity is not meduim since the arch is not released.
  * ran autoupdate
  * added libtool as a dependency so the package builds properly
  * added myself to uploaders
  * drop usage of ${source-Version} in favour of new ${binary:Version}
  * added build dependency on dpkg (>= 1.13.19)

  [ Sam Hocevar ]
  * Switch packaging to use quilt.

  * debian/control:
    + Drop autotools-dev and libtool build-dependencies.
  * debian/freealut-config.1:
    + Add a manpage for freealut-config.

  * debian/patches/000_configure.diff:
    + Import previous changes to configure.ac.

  * debian/patches/001_am_maintainer_mode.diff:
    + Disable maintainer mode to avoid clock skews during builds.

  * debian/patches/100_rebootstrap.diff:
    + Rebootstrap package.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Feb 2007 13:02:12 +0100

freealut (1.0.1-1) unstable; urgency=low

  [ Thierry Reding ]
  * Initial release. (Closes: #353263)

  [ Reinhard Tartler ]
  * Add versioned build depends to libopenal-dev (>= 1:0.0.8-1) to ensure that
    it gets build with the right openal version. We want only one transition
  * polish debian/copyright

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 24 Feb 2006 11:27:32 +0100

=== debian/control ===
Source: freealut
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Peter Pentchev <roam@ringlet.net>
Build-Depends:
 debhelper-compat (= 13),
 libopenal-dev (>= 1:0.0.8),
Rules-Requires-Root: no
Standards-Version: 4.4.1
Section: libs
Homepage: https://github.com/vancegroup/freealut
Vcs-Git: https://salsa.debian.org/games-team/freealut.git
Vcs-Browser: https://salsa.debian.org/games-team/freealut

Package: libalut0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenAL Utility Toolkit
 freealut is a free implementation of OpenAL's ALUT standard. ALUT is a set of
 portable functions which remove the annoying details of getting an audio
 application started. It is the OpenAL counterpart of what GLUT is for OpenGL.

Package: libalut-dev
Section: libdevel
Architecture: any
Depends:
 libalut0 (= ${binary:Version}),
 libopenal-dev (>= 1:0.0.8),
 ${misc:Depends}
Description: OpenAL Utility Toolkit development files
 freealut is a free implementation of OpenAL's ALUT standard. ALUT is a set of
 portable functions which remove the annoying details of getting an audio
 application started. It is the OpenAL counterpart of what GLUT is for OpenGL.
 .
 This package contains libraries and headers suitable for software development
 with ALUT.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_installdocs:
	dh_installdocs -A AUTHORS NEWS README

override_dh_makeshlibs:
	dh_makeshlibs -V 'libalut0 (>= 1.1.0-1)'

=== debian/watch ===
version=4
opts=uversionmangle=s/_/./g \
https://github.com/vancegroup/freealut/releases .*/freealut_([\d+\._]+)@ARCHIVE_EXT@
